/*
 * colours.h - colours header.
 *
 * $Id: colours.h 30 2006-02-09 15:29:48Z brendan $
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * 29-Jan-2006  Brendan Gregg   Created this
 */

#ifndef COLOURS_H
#define	COLOURS_H

#include <gtk/gtk.h>

/* public globals */
extern GdkGC		*c_gc;			/* graphics context */
extern GdkColor		c_colours[];		/* colour scale for plot */
extern int		c_colours_max;		/* max colour scale */
extern GdkColor		c_grey;			/* grey */
extern GdkColor		c_white;		/* white */
extern GdkColor		c_blue;			/* blue */
extern GdkColor		c_red;			/* red */

enum c_pallet {
	C_ORIGINAL,
	C_GREYSCALE,
	C_SCALE12
};
extern enum c_pallet	c_pallet;

/* set colours in global c_colours_int */
extern void	colours_set(GtkWidget *, int);

#endif /* COLOURS_H */
