/*
 * statusbar.c - statusbar functions.
 *
 * $Id: statusbar.c 17 2006-02-06 08:53:22Z brendan $
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * 29-Jan-2006  Brendan Gregg   Created this
 */

#include <gtk/gtk.h>

#include "statusbar.h"

void
sb_msg(GtkWidget *sb, const gchar *text)
{
	gchar *msg = g_strdup_printf("  %s", text);

	/* change statusbar message */
	gtk_statusbar_pop(GTK_STATUSBAR(sb),
	    gtk_statusbar_get_context_id(GTK_STATUSBAR(sb), ""));
	gtk_statusbar_push(GTK_STATUSBAR(sb),
	    gtk_statusbar_get_context_id(GTK_STATUSBAR(sb), ""), msg);

	g_free(msg);
}

void
sb_err(GtkWidget *sb, const gchar *text)
{
	gchar *msg = g_strdup_printf(" ERROR: %s", text);

	/* change statusbar message */
	gtk_statusbar_pop(GTK_STATUSBAR(sb),
	    gtk_statusbar_get_context_id(GTK_STATUSBAR(sb), ""));
	gtk_statusbar_push(GTK_STATUSBAR(sb),
	    gtk_statusbar_get_context_id(GTK_STATUSBAR(sb), ""), msg);

	g_free(msg);
}
